# `PolarExpress.OAuth`
[🔗](https://github.com/jeffhuen/polar_express/blob/main/lib/polar_express/oauth.ex#L1)

Polar OAuth2 convenience helpers.

Delegates to the generated `PolarExpress.Services.Oauth2Service`.

## Usage

    client = PolarExpress.client("pk_test_...")

    # Exchange code for token
    {:ok, resp} = PolarExpress.OAuth.token(client, %{"grant_type" => "authorization_code", "code" => "ac_..."})

    # Revoke a token
    {:ok, resp} = PolarExpress.OAuth.revoke(client, %{"token" => "polar_at_..."})

    # Introspect a token
    {:ok, resp} = PolarExpress.OAuth.introspect(client, %{"token" => "polar_at_..."})

# `introspect`

# `revoke`

# `token`

---

*Consult [api-reference.md](api-reference.md) for complete listing*
